episodes: Get show episodes

API: tvmaze.com:tvmaze-api
Endpoint: /shows/{id}/episodes
Response format: application/json
Charset: utf-8
Auth: none
Method: GET
Last Status: 200
Latency: 112ms

Description

Get all episodes for a specific show, ordered by season and episode number. Returns comprehensive episode data including episode names, air dates, runtimes, summaries, and images. This is the endpoint to call when you need a complete episode guide for a show. Results are grouped by season implicitly through the ordering.

From spec: Returns all episodes for a show.

Usage Tips

- Episodes are sorted by season then episode number - Specials typically have season=0 - Check 'airdate' field for when episodes premiered - Not all episodes have summaries or images available

Parameters (2)

id (integer, path, required)

Show ID

specials (integer, query, optional)

Include special episodes (1 = yes)

Constraints: {'enum': [0, 1]}

Examples (4)

Get episodes for show ID 1 curl

Demonstrates calling /shows/{id}/episodes

curl 'https://api.tvmaze.com/shows/1/episodes'
import requests

resp = requests.get("https://api.tvmaze.com/shows/1/episodes")
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("shows/{id}/episodes")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/shows/1/episodes");
const data = await resp.json();
Get episodes for show ID 82 (Game of Thrones) curl

Demonstrates calling /shows/{id}/episodes

curl 'https://api.tvmaze.com/shows/82/episodes'
import requests

resp = requests.get("https://api.tvmaze.com/shows/82/episodes")
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("shows/{id}/episodes")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/shows/82/episodes");
const data = await resp.json();
Get episodes for show ID 169 (Breaking Bad) curl

Demonstrates calling /shows/{id}/episodes

curl 'https://api.tvmaze.com/shows/169/episodes'
import requests

resp = requests.get("https://api.tvmaze.com/shows/169/episodes")
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("shows/{id}/episodes")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/shows/169/episodes");
const data = await resp.json();
Get show episodes openapi-spec
curl 'https://api.tvmaze.com/shows/{id}/episodes?specials=1'
import requests

resp = requests.get(
    "https://api.tvmaze.com/shows/{id}/episodes",
    params={
        'specials': '1',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("shows/{id}/episodes", specials=1)

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/shows/{id}/episodes?specials=1");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 04:14:38.672562 200 112ms
2026-04-16 02:43:17.516545 200 110ms
2026-04-16 00:48:12.582669 200 159ms
2026-04-15 03:44:36.921942 200 119ms
2026-04-15 02:29:53.398193 200 125ms
2026-04-15 02:27:40.122967 200 120ms
2026-04-14 03:54:43.015990 200 184ms
2026-04-14 02:32:38.196854 200 192ms
2026-04-14 01:02:05.122925 200 163ms
2026-04-12 16:01:44.777523 200 131ms
2026-04-12 14:12:04.381127 200 132ms
2026-04-12 12:32:02.588628 200 135ms
2026-04-10 02:53:10.788134 200 99ms
2026-04-10 00:52:11.994906 200 125ms
2026-04-10 00:42:06.240317 200 108ms
2026-04-09 03:45:57.464213 200 105ms
2026-04-09 03:08:47.391437 200 218ms
2026-04-09 01:38:35.461666 200 164ms
2026-03-23 10:36:35.879832 200 114ms
2026-03-23 10:11:59.171831 200 85ms
2026-03-23 09:17:37.345001 200 137ms